if cc.Application:getInstance():getTargetPlatform() ~= 0 then
    function __G__TRACKBACK__(errorMessage)
        buglyReportLuaException(tostring(errorMessage), debug.traceback())     
        print("----------------------------------------")
        print("LUA ERROR: " .. tostring(errorMessage) .. "\n")
        print(debug.traceback("", 2))
        print("----------------------------------------")
        -- 选服状态 开启报错提示
        if sScelet then
            local _errorMessage=errorMessage
            local _traceback=debug.traceback("", 2)
            local listView = ccui.ListView:create()
            listView:setDirection(ccui.ScrollViewDir.vertical)
            listView:setBounceEnabled(true)
            listView:setTouchEnabled(true)
            local content = display.newTTFLabel({
                text = "【GAME ERROR】:" .. 
                "\n" .._errorMessage .. "\n" .. _traceback,
                font = "Arial",
                size = 30,
                color = cc.c3b(255, 0, 0), 
                align = cc.ui.TEXT_ALIGN_LEFT,
                valign = cc.ui.TEXT_VALIGN_TOP,
                dimensions = cc.size(display.width / 1.5, 0)
            })
            listView:align(display.CENTER, display.cx, display.cy)
            listView:setContentSize(cc.size(display.width / 1.5, display.height / 2))
            local Layout_item = ccui.Layout:create()
            Layout_item:setContentSize(cc.size(content:getContentSize().width+20, content:getContentSize().height+20))
            content:setPosition(content:getContentSize().width/2+10, content:getContentSize().height/2+10)
            Layout_item:addChild(content)
            Layout_item:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
            Layout_item:setBackGroundColor(cc.c3b(0, 0, 0))
            listView:pushBackCustomItem(Layout_item)
            display.getRunningScene():addChild(listView, 999)
        end
    end
else
    function buglyReportLuaException(...) dump({...},"buglyReportLuaException")end
    local USE_LUAIDE_DEBUG = true
    if USE_LUAIDE_DEBUG then 
        local breakInfoFun,XPCallFun  = nil, nil
        local sharedApplication = cc.Application:getInstance()
        local target = sharedApplication:getTargetPlatform()--ApplicationProtocol类里面的对应有相应的枚举
        _G.isLuaDebug = _G.isLuaDebug or false
        if target < 3 and not _G.isLuaDebug then
            _G.isLuaDebug = true
            breakInfoFun,XPCallFun = require("luaide/LuaDebugjit")("localhost", 7003)
            cc.Director:getInstance():getScheduler():scheduleScriptFunc(breakInfoFun, 0.5, false)
        end
    
        function __G__TRACKBACK__(errorMessage)
            print("----------------------------------------")
            print("LUA ERROR: " .. tostring(errorMessage) .. "\n")
            print(debug.traceback("", 2))
            print("----------------------------------------")
            if target < 3 then
                XPCallFun()
            end
            if cc.Application:getInstance():getTargetPlatform() == 0 then
                local _errorMessage=errorMessage
                local _traceback=debug.traceback("", 2)
                local listView = ccui.ListView:create()
                listView:setDirection(ccui.ScrollViewDir.vertical)
                listView:setBounceEnabled(true)
                listView:setTouchEnabled(true)
                local content = display.newTTFLabel({
                    text = "【GAME ERROR】:" .. 
                    "\n" .._errorMessage .. "\n" .. _traceback,
                    font = "Arial",
                    size = 30,
                    color = cc.c3b(255, 0, 0), 
                    align = cc.ui.TEXT_ALIGN_LEFT,
                    valign = cc.ui.TEXT_VALIGN_TOP,
                    dimensions = cc.size(display.width / 1.5, 0)
                })
                listView:align(display.CENTER, display.cx, display.cy)
                listView:setContentSize(cc.size(display.width / 1.5, display.height / 2))
                local Layout_item = ccui.Layout:create()
                Layout_item:setContentSize(cc.size(content:getContentSize().width+20, content:getContentSize().height+20))
                content:setPosition(content:getContentSize().width/2+10, content:getContentSize().height/2+10)
                Layout_item:addChild(content)
                Layout_item:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
                Layout_item:setBackGroundColor(cc.c3b(0, 0, 0))
                listView:pushBackCustomItem(Layout_item)
                display.getRunningScene():addChild(listView, 999)
            end
        end
        
    else
        function __G__TRACKBACK__(errorMessage)
            
            if cc.Application:getInstance():getTargetPlatform() ~= 0 then
                buglyReportLuaException(tostring(errorMessage), debug.traceback())
            end
            print("----------------------------------------")
            print("LUA ERROR: " .. tostring(errorMessage) .. "\n")
            print(debug.traceback("", 2))
            print("----------------------------------------")
	        if cc.Application:getInstance():getTargetPlatform() == 0 then
	            local _errorMessage=errorMessage
	            local _traceback=debug.traceback("", 2)
            
	            local label = display.newTTFLabel({
	            text = "【GAME ERROR】:" .. 
	            "\n" .._errorMessage .. "\n" .. _traceback,
	            font = "Arial",
	            size = 18,
	            color = cc.c3b(144, 238, 144), 
	            align = cc.ui.TEXT_ALIGN_LEFT,
	            valign = cc.ui.TEXT_VALIGN_TOP,
	            dimensions = cc.size(display.width / 1.5, display.height / 2)
	            })
	            label:align(display.CENTER, display.cx, display.cy)
	            display.getRunningScene():addChild(label, 999)
	        end
        end
    end

end


package.path = package.path .. ";src/"

local fileUtils = cc.FileUtils:getInstance()
fileUtils:setPopupNotify(false)
-- 清除fileCached 避免无法加载新的资源。
fileUtils:purgeCachedEntries()

require("config")
require("native")

local isUpd = false
local updZip = false
if cc.Application:getInstance():getTargetPlatform() ~= 0 then
    isUpd = true
    updZip =false
end


cc.LuaLoadChunksFromZIP("lib/src_app_cocos.zip")
cc.LuaLoadChunksFromZIP("lib/src_framework.zip")
cc.LuaLoadChunksFromZIP("lib/src_script.zip")
cc.LuaLoadChunksFromZIP("lib/src_game.zip")
cc.LuaLoadChunksFromZIP("lib/src_launcher.zip")
    
_G.isUpd = isUpd

require("app.MyApp").new():run()
